Bug 845205 - Wrong pop-up error message when changing BOND mode to non-valid node | Error while executing action Setup Networks: Internal oVirt Engine Error
Wrong pop-up error message when changing BOND mode to non-valid node | Error ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Kolesnik
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 04:59 EDT by Meni Yakove
Modified: 2016-02-10 14:49 EST (History)
8 users (show)

See Also:
Fixed In Version: SI18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine and vdsm logs (1.04 MB, application/x-gzip)
2012-08-27 06:10 EDT, Meni Yakove
no flags Details

  None (edit)
Description Meni Yakove 2012-08-02 04:59:08 EDT
Description of problem:
When changing BOND mode to non-valid mode in SetupNetworks there is error pop-up with:
Error while executing action Setup Networks: Internal oVirt Engine Error

On engine.log there is proper error that should be also in the pop-up:
error = 'test' is not a valid bonding option

Version-Release number of selected component (if applicable):
rhevm-3.1.0-9.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1.SetupNetworks > create BOND > change BOND mode to custom > test=1 > apply

  
Actual results:
Operation failed with Error while executing action Setup Networks: Internal oVirt Engine Error pop-up

Expected results:
Operation failed with 'test' is not a valid bonding option pop-up
Comment 1 Simon Grinberg 2012-08-27 05:01:24 EDT
(In reply to comment #0)

> Expected results:
> Operation failed with 'test' is not a valid bonding option pop-up

Livnat, does the engine parse the string?
Comment 2 lpeer 2012-08-27 05:59:45 EDT
Can you please attach logs?
Comment 3 Meni Yakove 2012-08-27 06:10:42 EDT
Created attachment 607173 [details]
engine and vdsm logs
Comment 4 lpeer 2012-08-27 07:23:53 EDT
(In reply to comment #1)
> (In reply to comment #0)
> 
> > Expected results:
> > Operation failed with 'test' is not a valid bonding option pop-up
> 
> Livnat, does the engine parse the string?

No, I think it was a decision we took some time ago.
Simon do we stick with this approach, no validation for custom bond mode?
Comment 5 Simon Grinberg 2012-08-27 08:15:42 EDT
(In reply to comment #4)
> Simon do we stick with this approach, no validation for custom bond mode?

Yes we do, 
What we need here is a better error report from VDSM and not just internal error.
Comment 6 Mike Kolesnik 2012-09-02 10:29:05 EDT
Fixed that the true error translation appears:
http://gerrit.ovirt.org/#/c/7679/
Comment 9 Meni Yakove 2012-09-16 03:44:22 EDT
verified on vdsm-4.9.6-34.0.el6_3.x86_64 and rhevm-3.1.0-16.el6ev.noarch

Note You need to log in before you can comment on or make changes to this bug.